From 0e26ba9036ac4a310f1db81a9d8ee9dc375a5d00 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Mon, 13 Apr 2020 10:25:49 +0800
Subject: [PATCH 45/77] virtual_disks_multidisks: attach disk to VM with the
 same index controller,exepct error.

attach disk to VM with the same index controller, exepct error. Add
expect_error=True to check_exit_status. And set addr_dict consistent with
cfg profile.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg | 2 +-
 libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg b/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg
index 3832b1e3..0a12f06b 100644
--- a/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg
+++ b/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg
@@ -873,7 +873,7 @@
                     driver_option = "type=qcow2,cache=none"
                     virtio_scsi_controller = "yes"
                     define_error = "yes"
-                    virt_disk_addr_options = "type=drive,controller=0,bus=0,target=0,unit=1"
+                    virt_disk_addr_options = "type=drive,controller=0,bus=0,target=0,unit=0"
                     variants:
                         - scsi:
                             virtio_scsi_controller_type = 'scsi'
diff --git a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
index 4738a6f7..98a59f3e 100644
--- a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
+++ b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
@@ -1333,7 +1333,7 @@ def run(test, params, env):
                 attach_option = '--config'
                 ret = virsh.attach_device(vm_name, custom_disk_xml.xml,
                                           flagstr=attach_option, debug=True)
-                libvirt.check_exit_status(ret)
+                libvirt.check_exit_status(ret, expect_error=True)
                 vmxml = vm_xml.VMXML.new_from_dumpxml(vm_name)
 
         # Create second controller,and add it to vmxml.
-- 
2.23.0

